CheckFieldAdapter (ASM 5.0.4 Documentation)
Date: 2015-09-18

org.objectweb.asm.util

## Class CheckFieldAdapter

- java.lang.Object
- - org.objectweb.asm.FieldVisitor
  - - org.objectweb.asm.util.CheckFieldAdapter

-     public class CheckFieldAdapter
      extends FieldVisitor

  A `FieldVisitor` that checks that its methods are properly used.

- - ### Field Summary

    - ### Fields inherited from class org.objectweb.asm.FieldVisitor

      `api, fv`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `` | `CheckFieldAdapter(FieldVisitor fv)` Constructs a new `CheckFieldAdapter`.
    `protected` | `CheckFieldAdapter(int api, FieldVisitor fv)` Constructs a new `CheckFieldAdapter`.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `AnnotationVisitor` | `visitAnnotation(String desc, boolean visible)` Visits an annotation of the field.
    `void` | `visitAttribute(Attribute attr)` Visits a non standard attribute of the field.
    `void` | `visitEnd()` Visits the end of the field.
    `AnnotationVisitor` | `visitTypeAnnotation(int typeRef, TypePath typePath, String desc, boolean visible)` Visits an annotation on the type of the field.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CheckFieldAdapter

          public CheckFieldAdapter(FieldVisitor fv)

      Constructs a new `CheckFieldAdapter`. Subclasses must not use this constructor. Instead, they must use the `CheckFieldAdapter(int, FieldVisitor)` version.
      Parameters:
        `fv` - the field visitor to which this adapter must delegate calls.
      Throws:
        `IllegalStateException` - If a subclass calls this constructor.

    - #### CheckFieldAdapter

          protected CheckFieldAdapter(int api,
                           FieldVisitor fv)

      Constructs a new `CheckFieldAdapter`.
      Parameters:
        `api` - the ASM API version implemented by this visitor. Must be one of `Opcodes.ASM4` or `Opcodes.ASM5`.
        `fv` - the field visitor to which this adapter must delegate calls.

  - ### Method Detail

    - #### visitAnnotation

          public AnnotationVisitor visitAnnotation(String desc,
                                          boolean visible)

      Description copied from class: `FieldVisitor`
      Visits an annotation of the field.
      Overrides:
        `visitAnnotation` in class `FieldVisitor`
      Parameters:
        `desc` - the class descriptor of the annotation class.
        `visible` - `true` if the annotation is visible at runtime.
      Returns:
        a visitor to visit the annotation values, or `null` if this visitor is not interested in visiting this annotation.

    - #### visitTypeAnnotation

          public AnnotationVisitor visitTypeAnnotation(int typeRef,
                                              TypePath typePath,
                                              String desc,
                                              boolean visible)

      Description copied from class: `FieldVisitor`
      Visits an annotation on the type of the field.
      Overrides:
        `visitTypeAnnotation` in class `FieldVisitor`
      Parameters:
        `typeRef` - a reference to the annotated type. The sort of this type reference must be `FIELD`. See `TypeReference`.
        `typePath` - the path to the annotated type argument, wildcard bound, array element type, or static inner type within 'typeRef'. May be `null` if the annotation targets 'typeRef' as a whole.
        `desc` - the class descriptor of the annotation class.
        `visible` - `true` if the annotation is visible at runtime.
      Returns:
        a visitor to visit the annotation values, or `null` if this visitor is not interested in visiting this annotation.

    - #### visitAttribute

          public void visitAttribute(Attribute attr)

      Description copied from class: `FieldVisitor`
      Visits a non standard attribute of the field.
      Overrides:
        `visitAttribute` in class `FieldVisitor`
      Parameters:
        `attr` - an attribute.

    - #### visitEnd

          public void visitEnd()

      Description copied from class: `FieldVisitor`
      Visits the end of the field. This method, which is the last one to be called, is used to inform the visitor that all the annotations and attributes of the field have been visited.
      Overrides:
        `visitEnd` in class `FieldVisitor`